<?php
$conf_basedir	= "../../";	//相对主目录的位置
$conf_where		= "admin";	//选择调用相应模块
include_once($conf_basedir."base.inc.php");
checkAuth('1');	//判断登录和权限
$title = "系统权限管理";
$js = "<script src= \" ".$conf_basedir."script/js/list_common.js\"></script>";

$ordercond = "ORDER BY num asc, id asc";
//分页参数
$pagesize	= $display_rows ? intval($display_rows) : 20;
$page_now	= $page_now ? max(1, intval($page_now)) : 1 ; // 获取当前页数
$offset		= ( $page_now - 1 ) * $pagesize;
//获得数据总条数
$numrows = $dao_sys->getOne("admin_pages", " 1 ", " COUNT(*) ");
//获得数据当前页面数据
$data_info = $dao_sys->getAll("admin_pages", " 1 ".$ordercond." LIMIT ".$offset.",".$pagesize." ");

$pagenum = count($data_info);//当前页面数量
$numrows = $numrows >0 ? $numrows : 0;

if( $numrows <= 0 || $pagenum <=0){
	$pages = 0 ;  //计算总页数
}else{
	$pages = ceil($numrows/$pagesize);  //计算总页数

	$new_pagenavi = new_pagenavi($page_now,$pages,$numrows);
}

//获取父节点
$parent_node_arr = $dao_sys->getAll("admin_pages", " fid = 0 ", " id,title ");

//引用模版文件
include_once(Template("header"));
include_once(Template("manage/page_manage"));
include_once(Template("footer"));
?>